nsd-xfer(8)

NAME

nsd-xfer - AXFR client to transfer zones from a name server

SYNOPSIS

nsd-xfer [-4] [-6] [-a address[@port]] [-p port] [-s serial] [-T tsiginfo] [-v] -z zone -f file servers

DESCRIPTION

Nsd-xfer is program to transfer zones from a name server using AXFR. NSD is a complete implementation of an authoritative DNS nameserver.

OPTIONS

-4  Only send to IPv4 addresses.

-6  Only send to IPv6 addresses.

-a address[@port]
    Specify the source address (and port) to send from.

-f file
    The file to store the zone in.

-p port
    Specify the port to send to.

-s serial
    Specify the serial of the current zone. The zone is only transferred if the master server has a zone with a greater serial number.

-T tsiginfo
    Use TSIG to verify the zone transfer. The tsiginfo file must contain the TSIG key information. The file is removed upon successful reading of the key. The format of the tsiginfo file is described in the doc/README file (section 3.3).

-v  Be more verbose.

-z zone
    Specify the zone to receive.

servers
    List of nameservers to try.

EXAMPLES

To run this program the standard way type:

# nsd-xfer -z foobar.cz -f foobar.cz.zone 1.2.3.4

SEE ALSO

nsd(8), nsdc(8), nsd.conf(5), nsd-checkconf(8), nsd-notify(8), nsd-patch(8), nsd-zonec(8)

AUTHORS

NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.